# Uses of Class
org.springframework.asm.MethodVisitor

Packages that use MethodVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of MethodVisitor in org.springframework.asm

Fields in org.springframework.asm declared as MethodVisitor
Modifier and Type
Field
Description
`protected MethodVisitor`
MethodVisitor.`mv`
The method visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return MethodVisitor
Modifier and Type
Method
Description
`MethodVisitor`
MethodVisitor.`getDelegate()`
The method visitor to which this visitor must delegate method calls.
`MethodVisitor`
ClassVisitor.`visitMethod(int access, String name, String descriptor, String signature, String[] exceptions)`
Visits a method of the class.
`final MethodVisitor`
ClassWriter.`visitMethod(int access, String name, String descriptor, String signature, String[] exceptions)`
Constructors in org.springframework.asm with parameters of type MethodVisitor
Modifier
Constructor
Description
`protected`
`MethodVisitor(int api, MethodVisitor methodVisitor)`
Constructs a new `MethodVisitor`.

## Uses of MethodVisitor in org.springframework.cglib.core

Subclasses of MethodVisitor in org.springframework.cglib.core
Modifier and Type
Class
Description
`class`
`CodeEmitter`
`class`
`LocalVariablesSorter`
A `MethodVisitor` that renumbers local variables in their order of appearance.
Methods in org.springframework.cglib.core that return MethodVisitor
Modifier and Type
Method
Description
`MethodVisitor`
ClassEmitter.`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
Constructors in org.springframework.cglib.core with parameters of type MethodVisitor
Modifier
Constructor
Description
``
`LocalVariablesSorter(int access, String desc, MethodVisitor mv)`

## Uses of MethodVisitor in org.springframework.cglib.transform

Subclasses of MethodVisitor in org.springframework.cglib.transform
Modifier and Type
Class
Description
`class`
`MethodVisitorTee`
Methods in org.springframework.cglib.transform that return MethodVisitor
Modifier and Type
Method
Description
`MethodVisitor`
AbstractClassFilterTransformer.`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
`MethodVisitor`
ClassTransformerChain.`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
`MethodVisitor`
ClassVisitorTee.`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
`MethodVisitor`
MethodFilterTransformer.`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
Constructors in org.springframework.cglib.transform with parameters of type MethodVisitor
Modifier
Constructor
Description
``
`MethodVisitorTee(MethodVisitor mv1, MethodVisitor mv2)`